/*
Theme Name:   UA System Theme
Description:  This is a child theme of UA Theme v3.X
Author:        UA Division of Strategic Communications
Author URI:    https://stratcomm.ua.edu/web-strategy/
Template:      ua-theme
Version:       0.4.0
Text Domain:   uas-theme
*/

/* Add your custom styles here */

.ua_minerva {
  --uas_color--crimson: #9e1b32;
  --uas_color--green: #1a5632;
  --uas_color--gold: #856933;
  --uas_color--blue: #003da5;
}

.archive .ua_minerva .ua_card_content-wrapper,
.blog .ua_minerva .ua_card_content-wrapper {
  border-right: 5px solid var(--uas_color--gold);
}

.blog article:has(.ua_post-metadata_categories a[href*="/category/ua"]) .ua_card_content-wrapper,
.archive article:has(.ua_post-metadata_categories a[href*="/category/ua"]) .ua_card_content-wrapper {
  border-color: var(--uas_color--crimson);
}

.blog article:has(.ua_post-metadata_categories a[href*="/category/uab"]) .ua_card_content-wrapper,
.archive article:has(.ua_post-metadata_categories a[href*="/category/uab"]) .ua_card_content-wrapper {
  border-color: var(--uas_color--green);
}

.blog article:has(.ua_post-metadata_categories a[href*="/category/uah"]) .ua_card_content-wrapper,
.archive article:has(.ua_post-metadata_categories a[href*="/category/uah"]) .ua_card_content-wrapper {
  border-color: var(--uas_color--blue);
}

.blog article:has(.ua_post-metadata_categories a[href*="/category/uas"]) .ua_card_content-wrapper,
.archive article:has(.ua_post-metadata_categories a[href*="/category/uas"]) .ua_card_content-wrapper {
  border-color: var(--uas_color--gold);
}

.archive article .ua_post-metadata_categories,
.blog article .ua_post-metadata_categories {
  display: none;
}

.ua_minerva .uas_logo img {
  max-width: 288px;
}

.wp-theme-ua-theme .ua_cookie-banner__container {
  --ua_color--text: #262a2e;

  background: var(--ua_color--text);
}

.wp-theme-ua-theme .ua_cookie-banner__content button {
  --ua_color-text--accent: #836735;

  color: var(--ua_color-text--accent);
  border-color: var(--ua_color-text--accent);
}
